Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.grmm.util
Class LabelsAssignment

    java.lang.Object
      cc.mallet.grmm.types.AbstractFactor
          cc.mallet.grmm.types.Assignment
              cc.mallet.grmm.util.LabelsAssignment

All Implemented Interfaces:
  Factor, java.io.Serializable, java.lang.Cloneable

    public class LabelsAssignment

extends Assignment

A special kind of assignment for Variables that can be arranged in a LabelsSequence. This is an Adaptor to adapt LabelsSequences to Assignments.

$Id: LabelsAssignment.java,v 1.1 2007/10/22 21:37:58 mccallum Exp $

See Also:
  Serialized Form

Field Summary

Fields inherited from class cc.mallet.grmm.types.AbstractFactor
`vars`

Constructor Summary
`LabelsAssignment(LabelsSequence lbls)`

Method Summary
`LabelsSequence` | `getLabelsSequence()`
`LabelAlphabet` | `getOutputAlphabet(int lvl)`
`Label` | `labelOfVar(Variable var)`
`int` | `maxTime()`
`int` | `numSlices()`
`LabelsSequence` | `toLabelsSequence(Assignment assn)`
`Variable` | `varOfIndex(int t, int j)`

Methods inherited from class cc.mallet.grmm.types.Assignment
`addRow, addRow, addRow, addRow, addRow, almostEquals, asList, asTable, containsVar, dump, dump, dumpNumeric, dumpToString, duplicate, extractMaxInternal, get, get, getColumnInt, getDouble, getDouble, getObject, getObject, getRow, getVariable, getVars, isNaN, lookupValueInternal, makeFromSingleIndex, marginalizeInternal, normalize, numRows, numVariables, restriction, sample, setDouble, setRow, setRow, setValue, setValue, singleIndex, singleIndex, size, slice, subAssn, toDoubleArray, union`

Methods inherited from class cc.mallet.grmm.types.AbstractFactor
`almostEquals, argmax, assignmentIterator, delogify, divideBy, entropy, exponentiate, extractMax, extractMax, extractMax, isInLogSpace, log, logify, logValue, logValue, logValue, marginalize, marginalize, marginalize, marginalizeOut, marginalizeOut, multiply, multiplyBy, phi, setVarSet, sum, value, value, varSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LabelsAssignment

    public LabelsAssignment(LabelsSequence lbls)

Method Detail

### varOfIndex

    public Variable varOfIndex(int t,
                               int j)

### labelOfVar

    public Label labelOfVar(Variable var)

### maxTime

    public int maxTime()

### numSlices

    public int numSlices()

### getLabelsSequence

    public LabelsSequence getLabelsSequence()

### toLabelsSequence

    public LabelsSequence toLabelsSequence(Assignment assn)

### getOutputAlphabet

    public LabelAlphabet getOutputAlphabet(int lvl)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD